Get Product
GET
/api/v1/products/{product_id}Authorization
AuthorizationBearer token · headerrequiredor
AuthorizationOAuth2 access token · headerrequiredPath parameters
product_idstringrequiredResponses
200Successful Response
successbooleandefault: true
dataProduct | anyShow propertiesHide properties
Any of:
Product
idstringrequiredschema_versionintegerdefault: 1
namestringrequiredanalytics_keystring | anyShow propertiesHide properties
Any of:
string
stringany
anydictionariesobjectsubtopics_by_topicobjectcreated_atstring<date-time>updated_atstring<date-time>any
anymessagestring | anyShow propertiesHide properties
Any of:
string
stringany
anyerrorsstring[] | anyShow propertiesHide properties
Any of:
string[]
Array of
stringstringany
any422Validation Error
detailValidationError[]Show propertiesHide properties
Array of
ValidationErrorlocstring | integer[]requiredShow propertiesHide properties
Array of
string | integerAny of:
string
stringinteger
integermsgstringrequiredtypestringrequiredinputanyctxobjectRequest
curl -X GET "/api/v1/products/string" \
-H "Authorization: Bearer YOUR_TOKEN"const response = await fetch("/api/v1/products/string", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
}
});import requests
response = requests.get(
"/api/v1/products/string",
headers={
"Authorization": "Bearer YOUR_TOKEN"
},
)Response
{
"success": true,
"data": {
"id": "string",
"schema_version": 1,
"name": "string",
"analytics_key": "string",
"dictionaries": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"subtopics_by_topic": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
},
"message": "string",
"errors": [
"string"
]
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}